package CHAPTER06;

class People {
	People() {
		System.out.println("People 클래스 생성자 호출");
	}
}

class Employee extends People {
	// 기본 생성자 (super()가 자동으로 호출됨)
	Employee() {
		// 부모 클래스의 기본 생성자가 자동으로 호출됨 (super(); 생략됨)
		System.out.println("Employee 클래스 생성자 호출");
	}
}

public class ConstructorOrder {
	public static void main(String[] args) {
		// Employee 객체 생성 -> People 클래스의 생성자가 먼저 실행된 후 Employee 클래스의 생성자가 실행됨
		Employee obj = new Employee();
	}
}
